Bug 109021 - kudzu won't modprobe my bttv
kudzu won't modprobe my bttv
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-04 09:38 EST by lupus
Modified: 2014-03-16 22:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-04 14:00:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lupus 2003-11-04 09:38:50 EST
Description of problem:
I have to manually modprobe bttv, because kudzu doesn't do it.

Version-Release number of selected component (if applicable):
kudzu-1.1.32-1

How reproducible:
always

Steps to Reproduce:
1.start linux
2.
3.
  
Actual results:
bttv module not loaded

Expected results:
bttv module loaded

Additional info:

[root@d515280a6 sysconfig]# cat /etc/sysconfig/hwconf
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "VIA Technologies|VT8377 [KT400 AGP] Host Bridge"
vendorId: 1106
deviceId: 3189
subVendorId: 1106
subDeviceId: 0000
pciType: 1
pcibus:  0
pcidev:  0
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "VIA Technologies|VT8237 PCI Bridge"
vendorId: 1106
deviceId: b198
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcibus:  0
pcidev:  1
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: btaudio
desc: "Brooktree Corporation|Bt878 Audio Capture"
vendorId: 109e
deviceId: 0878
subVendorId: 11bd
subDeviceId: 0012
pciType: 1
pcibus:  0
pcidev:  7
pcifn:  1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "VIA Technologies|unknown device 1106:3227"
vendorId: 1106
deviceId: 3227
subVendorId: 1106
subDeviceId: 0000
pciType: 1
pcibus:  0
pcidev: 11
pcifn:  0
-
class: OTHER
bus: USB
detached: 0
driver: scanner
desc: "AGFA-Gevaert NV SnapScan e26"
usbclass: 0
usbsubclass: 0
usbprotocol: 0
usbbus: 3
usblevel: 1
usbport: 0
usbdev: 2
vendorId: 06bd
deviceId: 2097
usbmfr: AGFA
usbprod:  SNAPSCAN e26
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "Linux 2.4.22-1.2088.nptl ehci_hcd VIA Technologies, Inc. USB 2.0"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 5
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbmfr: Linux 2.4.22-1.2088.nptl ehci_hcd
usbprod: VIA Technologies, Inc. USB 2.0
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "USB UHCI Root Hub"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 1
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbprod: USB UHCI Root Hub
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "USB UHCI Root Hub"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 2
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbprod: USB UHCI Root Hub
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "USB UHCI Root Hub"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 3
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbprod: USB UHCI Root Hub
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "USB UHCI Root Hub"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 4
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbprod: USB UHCI Root Hub
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: ne2k-pci
desc: "Realtek|RTL-8029(AS)"
network.hwaddr: 52:54:05:E2:18:B2
vendorId: 10ec
deviceId: 8029
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcibus:  0
pcidev:  6
pcifn:  0
-
class: NETWORK
bus: PCI
detached: 0
device: eth1
driver: b44
desc: "Broadcom Corporation|BCM4401 100Base-T"
network.hwaddr: 00:0C:76:42:73:7E
vendorId: 14e4
deviceId: 4401
subVendorId: 1462
subDeviceId: 590c
pciType: 1
pcibus:  0
pcidev:  b
pcifn:  0
-
class: AUDIO
bus: PCI
detached: 0
driver: via82cxxx_audio
desc: "VIA Technologies|VT8233/A/8235 AC97 Audio Controller"
vendorId: 1106
deviceId: 3059
subVendorId: 1462
subDeviceId: 5901
pciType: 1
pcibus:  0
pcidev: 11
pcifn:  5
-
class: CDROM
bus: IDE
detached: 0
device: hdd
driver: ignore
desc: "HL-DT-STDVD-ROM GDR8160B"
-
class: CDROM
bus: SCSI
detached: 0
device: scd0
driver: ignore
desc: "Plextor CD-R   PX-W4012A"
host: 0
id: 0
channel: 0
lun: 0
generic: sg0
-
class: VIDEO
bus: PCI
detached: 0
driver: Card:NVIDIA GeForce 3 (generic)
desc: "nVidia Corporation|NV20 [GeForce3 Ti 500]"
vendorId: 10de
deviceId: 0202
subVendorId: 1681
subDeviceId: 0071
pciType: 1
pcibus:  1
pcidev:  0
pcifn:  0
-
class: FLOPPY
bus: MISC
detached: 0
device: fd0
driver: unknown
desc: "3.5" 1.44MB floppy drive"
-
class: HD
bus: IDE
detached: 0
device: hda
driver: ignore
desc: "MAXTOR 6L080L4"
physical: 38322/16/255
logical: 9732/255/63
-
class: HD
bus: IDE
detached: 0
device: hdc
driver: ignore
desc: "IC35L060AVER07-0"
physical: 29437/16/255
logical: 7476/255/63
-
class: PRINTER
bus: USB
detached: 0
driver: unknown
desc: "Brother HL-5030"
usbclass: 7
usbsubclass: 1
usbprotocol: 2
usbbus: 5
usblevel: 1
usbport: 3
usbdev: 2
vendorId: 04f9
deviceId: 0015
usbmfr: Brother
usbprod: HL-5030
-
class: CAPTURE
bus: PCI
detached: 0
driver: bttv
desc: "Brooktree Corporation|Bt878 Video Capture"
vendorId: 109e
deviceId: 036e
subVendorId: 11bd
subDeviceId: 0012
pciType: 1
pcibus:  0
pcidev:  7
pcifn:  0
-
class: USB
bus: PCI
detached: 0
driver: usb-uhci
desc: "VIA Technologies|USB"
vendorId: 1106
deviceId: 3038
subVendorId: 1462
subDeviceId: 5901
pciType: 1
pcibus:  0
pcidev: 10
pcifn:  3
-
class: USB
bus: PCI
detached: 0
driver: usb-uhci
desc: "VIA Technologies|USB"
vendorId: 1106
deviceId: 3038
subVendorId: 1462
subDeviceId: 5901
pciType: 1
pcibus:  0
pcidev: 10
pcifn:  2
-
class: USB
bus: PCI
detached: 0
driver: usb-uhci
desc: "VIA Technologies|USB"
vendorId: 1106
deviceId: 3038
subVendorId: 1462
subDeviceId: 5901
pciType: 1
pcibus:  0
pcidev: 10
pcifn:  1
-
class: USB
bus: PCI
detached: 0
driver: usb-uhci
desc: "VIA Technologies|USB"
vendorId: 1106
deviceId: 3038
subVendorId: 1462
subDeviceId: 5901
pciType: 1
pcibus:  0
pcidev: 10
pcifn:  0
-
class: USB
bus: PCI
detached: 0
driver: ehci-hcd
desc: "VIA Technologies|USB 2.0"
vendorId: 1106
deviceId: 3104
subVendorId: 1462
subDeviceId: 5901
pciType: 1
pcibus:  0
pcidev: 10
pcifn:  4
-
class: IDE
bus: PCI
detached: 0
driver: ignore
desc: "VIA Technologies|VT82C586A/B/VT82C686/A/B/VT8233/A/C/VT8235
PIPC Bus Master IDE"
vendorId: 1106
deviceId: 0571
subVendorId: 1462
subDeviceId: 5901
pciType: 1
pcibus:  0
pcidev:  f
pcifn:  0
[root@d515280a6 sysconfig]#

after modprobe bttv

[root@d515280a6 sysconfig]# lsmod
Module                  Size  Used by    Not tainted
tuner                  12288   1  (autoclean)
tvaudio                16636   0  (autoclean) (unused)
bttv                  100512   0  (unused)
i2c-algo-bit            8776   1  [bttv]
i2c-core               19172   0  [tuner tvaudio bttv i2c-algo-bit]
videodev                8288   2  [bttv]
via82cxxx_audio        24056   1  (autoclean)
ac97_codec             17064   0  (autoclean) [via82cxxx_audio]
uart401                 8356   0  (autoclean) [via82cxxx_audio]
sound                  73300   0  (autoclean) [via82cxxx_audio uart401]
soundcore               6500   4  (autoclean) [bttv via82cxxx_audio sound]
parport_pc             18788   1  (autoclean)
lp                      8868   0  (autoclean)
parport                36800   1  (autoclean) [parport_pc lp]
sd_mod                 13740   0  (autoclean) (unused)
autofs                 13236   0  (autoclean) (unused)
b44                    16936   1
ne2k-pci                7168   0  (unused)
8390                    8072   0  [ne2k-pci]
sg                     35852   0  (autoclean)
sr_mod                 17752   0  (autoclean)
floppy                 57020   0  (autoclean)
scanner                12056   0  (unused)
printer                 8928   0
ide-scsi               11984   0
scsi_mod              107080   4  [sd_mod sg sr_mod ide-scsi]
ide-cd                 35488   0
cdrom                  33216   0  [sr_mod ide-cd]
keybdev                 2944   0  (unused)
hid                    24356   0  (unused)
ehci-hcd               19976   0  (unused)
usb-uhci               25964   0  (unused)
usbcore                78368   1  [scanner printer hid ehci-hcd usb-uhci]
mousedev                5428   1  (autoclean)
input                   5824   0  (autoclean) [keybdev hid mousedev]
ext3                   71524   1
jbd                    51732   1  [ext3]
[root@d515280a6 sysconfig]#
Comment 1 Bill Nottingham 2003-11-04 09:40:28 EST
Is there an alias for bttv in /etc/modules.conf?
Comment 2 lupus 2003-11-04 12:39:47 EST
no 

[root@d515280a6 root]# cat /etc/modules.conf
alias eth0 ne2k-pci
alias eth1 b44
alias char-major-81 bttv
alias usb-controller usb-uhci
alias usb-controller1 ehci-hcd
alias sound-slot-0 via82cxxx_audio
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L
>/dev/null 2>&1 || :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S
>/dev/null 2>&1 || :
[root@d515280a6 root]#
Comment 3 lupus 2003-11-04 12:40:23 EST
yes I mean 

weird :s
Comment 4 lupus 2003-11-04 12:51:14 EST
I have rebooted and

[root@d515280a6 root]# lsmod
Module                  Size  Used by    Not tainted
via82cxxx_audio        24056   1  (autoclean)
ac97_codec             17064   0  (autoclean) [via82cxxx_audio]
uart401                 8356   0  (autoclean) [via82cxxx_audio]
sound                  73300   0  (autoclean) [via82cxxx_audio uart401]
soundcore               6500   4  (autoclean) [via82cxxx_audio sound]
parport_pc             18788   1  (autoclean)
lp                      8868   0  (autoclean)
parport                36800   1  (autoclean) [parport_pc lp]
sd_mod                 13740   0  (autoclean) (unused)
autofs                 13236   0  (autoclean) (unused)
b44                    16936   1
ne2k-pci                7168   0  (unused)
8390                    8072   0  [ne2k-pci]
sg                     35852   0  (autoclean)
sr_mod                 17752   0  (autoclean)
floppy                 57020   0  (autoclean)
ide-scsi               11984   0
scsi_mod              107080   4  [sd_mod sg sr_mod ide-scsi]
ide-cd                 35488   0
cdrom                  33216   0  [sr_mod ide-cd]
scanner                12056   0  (unused)
printer                 8928   0
keybdev                 2944   0  (unused)
mousedev                5428   1
hid                    24356   0  (unused)
input                   5824   0  [keybdev mousedev hid]
ehci-hcd               19976   0  (unused)
usb-uhci               25964   0  (unused)
usbcore                78368   1  [scanner printer hid ehci-hcd usb-uhci]
ext3                   71524   1
jbd                    51732   1  [ext3]

this is my loaded modules list after reboot

so It's not kudzu's fault but modprobe's?
Comment 5 Bill Nottingham 2003-11-04 13:20:53 EST
Well, it should load it automatically whenever an app opens the video
device... it won't be loaded before that, though.
Comment 6 lupus 2003-11-04 13:57:26 EST
hmm I didn't know that the module was loaded when the device is used.

I feel kind of stupid. Sorry for the trouble.

xawtv is working perfect so you can remove this thread.

thx for your trouble

Note You need to log in before you can comment on or make changes to this bug.